### Method

# GUsb Device get_configuration

since: 0.1.0

#### Declaration

    gint
    g_usb_device_get_configuration (
      GUsbDevice* self
      GError** error
    )

#### Description

Get the bConfigurationValue for the active configuration of the device.

Warning: this function is synchronous.

Available since: 0.1.0

#### Return value

Type: `gint`

The bConfigurationValue of the active config, or -1 on error.